#### Previous topic

scipy.special.h2vp

#### Next topic

scipy.special.sph_yn

# scipy.special.sph_jn

`scipy.special.``sph_jn`(n, z)

  Compute spherical Bessel function jn(z) and derivative.

  This function computes the value and first derivative of jn(z) for all orders up to and including n.

  Parameters:

  n : int

  > Maximum order of jn to compute

  z : complex

  > Argument at which to evaluate

  Returns:

  jn : ndarray

  > Value of j0(z), ..., jn(z)

  jnp : ndarray

  > First derivative j0’(z), ..., jn’(z)

  References

  [R354] | Zhang, Shanjie and Jin, Jianming. “Computation of Special Functions”, John Wiley and Sons, 1996, chapter 8. http://jin.ece.illinois.edu/specfunc.html